using System;
using System.Data;
using SK.MemberDAL;

namespace SK.MemberBLL
{
	/// <summary>
	/// ProductSystem 的摘要说明。
	/// </summary>
	public class ProductSystem
	{
		Product product =new Product();
		public ProductSystem()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		public DataSet List()
		{
			return product.List();
		}
		public DataSet List_AllowMonthly()
		{
			return product.List_AllowMonthly();
		}
		public void Add(object ProductName,object ProductTypeID,object HomePage,object ProductNO,object AllowMonthly,object MonthlyPayment)
		{
			product.Add(ProductName,ProductTypeID,HomePage,ProductNO,AllowMonthly,MonthlyPayment);
		}
		public void Update(object ProductID,object ProductName,object ProductTypeID,object HomePage,object ProductNO,object AllowMonthly,object MonthlyPayment)
		{
			product.Update(ProductID,ProductName,ProductTypeID,HomePage,ProductNO,AllowMonthly,MonthlyPayment);
		}
		public object ProductID(object ProductNO)
		{
			return product.ProductID(ProductNO);
		}
		public DataRow Info(object ProductID)
		{
			return product.Info(ProductID);
		}
		public bool ExistsProductNO(object ProductID,object ProductNO)
		{
			return product.ExistsProductNO(ProductID,ProductNO);
		}
		public bool ExistsProductNO(object ProductNO)
		{
			return product.ExistsProductNO(ProductNO);
		}
		public void Delete(object ProductID)
		{
			product.Delete(ProductID);
		}
	}
}
